package com.sa.ibiz.demo.demo.service.impl;

import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.mapper.OrgUnitCatMapper;
import com.sa.ibiz.demo.demo.domain.OrgUnitCat;
import com.sa.ibiz.demo.demo.service.OrgUnitCatService;
import com.sa.ibiz.demo.ibizutil.service.ServiceImplBase;
import com.sa.ibiz.demo.demo.service.dto.OrgUnitCatSearchFilter;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.math.BigInteger;
import com.sa.ibiz.demo.ibizutil.annotation.PreField;
import java.lang.reflect.Field;


/**
 * 实体[OrgUnitCat] 服务对象接口实现
 */
@Service
public class OrgUnitCatServiceImpl extends ServiceImplBase<OrgUnitCatMapper, OrgUnitCat> implements OrgUnitCatService{


    @Resource
    private OrgUnitCatMapper orgunitcatMapper;


    @Override
    public boolean create(OrgUnitCat et) {
        this.beforeCreate(et);
         return super.create(et);
    }
    @Override
    public boolean update(OrgUnitCat et){
        this.beforeUpdate(et);
		this.orgunitcatMapper.updateOne(et);
		this.get(et);
		return true;
    }

    public Object getEntityKey(OrgUnitCat et){
		return et.getOrgunitcatid();  
    }

    @Override
    public boolean getDraft(OrgUnitCat et)  {
            return true;
    }

	public List<OrgUnitCat> listDefault(OrgUnitCatSearchFilter filter) {
		return orgunitcatMapper.searchDefault(filter,filter.getSelectCond());
	}

	public Page<OrgUnitCat> searchDefault(OrgUnitCatSearchFilter filter) {
		return orgunitcatMapper.searchDefault(filter.getPage(),filter,filter.getSelectCond());
	}

    public  List<Map<String,Object>> selectRow(String sql){
       return orgunitcatMapper.selectRow(sql);
    }

 }